Subject: bug#57772: icomplete-mode's docstring causes documentation function to fail

From: Brady Montz <[email-masked]>
Date: Tue, 13 Sep 2022 16:33:11 -0700

Alright, good news, false alarm. I found a function elsewhere that was overriding a key method inside of help.el, which was goofing up the keymap display in that particular use case. Can resolve as no issue. Thanks for the help!

Brady

> On Sep 13, 2022, at 8:11 AM, Brady Montz <[email-masked]> wrote:
> 
> Thanks for the quick reply!
> 
> OK, I shoulda checked emacs -Q first. Visual inspection of my .emacs didn’t show anything affecting incomplete-mode, but looks like something else in there is affecting it. 
> 
> I’ll take a look to see what’s interacting with it. 
> 
> Brady
> 
>> On Sep 13, 2022, at 7:43 AM, Lars Ingebrigtsen <[email-masked]> wrote:
>> 
>> Brady Montz <[email-masked]> writes:
>> 
>>> in scratch buffer, run: (documentation 'icomplete-mode) and I get the same error. 
>> 
>> I tried this now in Emacs 28.1, and I did not get an error.
>> 
>> Do you have a complete recipe to reproduce the problem, starting from
>> "emacs -Q"?
>